<div class="single-certification-info">
  <div class='row'>
    <div class="col">
      <div class="card">
        <div class="card-body">
          <h5 class="card-title">
            <CertificationInfoPublished record={{this.certification}} float={{true}}>État</CertificationInfoPublished>
          </h5>
          <div class="card-text">
            <CertificationInfoPublished value={{this.certification.sessionId}} edition={{false}} label="Session :"
                                       linkRoute='authenticated.certifications.sessions.info'></CertificationInfoPublished>
            <CertificationStatusSelect value={{this.certification.status}} edition={{this.edition}}/>
            <CertificationInfoPublished value={{this.certification.creationDate}} edition={{false}} label="Créée le :"></CertificationInfoPublished>
            <CertificationInfoPublished value={{this.certification.completionDate}} edition={{false}} label="Terminée le :"></CertificationInfoPublished>
            <CertificationInfoPublished value={{this.certification.publishedText}} edition={{false}} label="Publiée :"></CertificationInfoPublished>
            <CertificationInfoPublished value={{this.certification.isV2CertificationText}} edition={{false}} label="Certification v2 :"></CertificationInfoPublished>
          </div>
        </div>
      </div>
    </div>
    <div class="col">
      <div class="card {{if this.edition "border-primary"}}">
        <div class="card-body">
          <h5 class="card-title">Candidat</h5>
          <div class="card-text">
            <CertificationInfoPublished value={{this.certification.firstName}} edition={{this.edition}} label="Prénom :"
                                       fieldId="certification-firstName"></CertificationInfoPublished>
            <CertificationInfoPublished value={{this.certification.lastName}} edition={{this.edition}} label="Nom :"
                                       fieldId="certification-lastName"></CertificationInfoPublished>
            <CertificationInfoPublished isDate={{true}} edition={{this.edition}} label="Date de naissance :"
                                       fieldId="certification-birthdate" value={{this.certification.birthdate}} {{on 'onUpdateCertificationBirthdate' this.onUpdateCertificationBirthdate}}></CertificationInfoPublished>
            <CertificationInfoPublished value={{this.certification.birthplace}} edition={{this.edition}} label="Lieu de naissance :"
                                       fieldId="certification-birthPlace"></CertificationInfoPublished>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class='row'>
    <div class="col">
      <div class="card {{if this.edition "border-primary"}}">
        <div class="card-body">
          <h5 class="card-title">Commentaires jury</h5>
          <div class="card-text">
            <CertificationInfoPublished value={{this.certification.commentForCandidate}} edition={{this.edition}}
                                       label="Pour le candidat :" fieldId="certification-commentForCandidate"
                                       large={{true}}></CertificationInfoPublished>
            <CertificationInfoPublished value={{this.certification.commentForOrganization}} edition={{this.edition}}
                                       label="Pour l'organisation :" fieldId="certification-commentForOrganization"
                                       large={{true}}></CertificationInfoPublished>
            <CertificationInfoPublished value={{this.certification.commentForJury}} edition={{this.edition}} label="Pour le jury :"
                                       fieldId="certification-commentForJury" large={{true}}></CertificationInfoPublished>
            <p></p>
            <CertificationInfoPublished value={{this.certification.juryId}} edition={{false}} label="Identifiant jury :" large={{true}}></CertificationInfoPublished>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class='row'>
    <div class="col">
      <div class="card {{if this.edition "border-primary"}}">
        <div class="card-body">
          <h5 class="card-title">Résultats</h5>
          <div class="card-text">
            <CertificationInfoPublished value={{this.certification.pixScore}} edition={{this.edition}} label="Score :"
                                       fieldId="certification-pixScore" suffix=" Points" large={{true}}></CertificationInfoPublished>
            <p></p>
            <CertificationInfoCompetences competences={{this.certification.competences}} edition={{this.edition}}
                                             onUpdateScore={{this.onUpdateScore}}
                                             onUpdateLevel={{this.onUpdateLevel}}/>
          </div>
        </div>
      </div>
    </div>
  </div>
  {{#if this.isValid}}
    <div class="row">
      <div class="col single-certification-info__actions">
        {{#if this.edition}}
          <BsButton class='single-certification-edit__button' type='secondary' size='sm'
                       {{on 'click' this.onCancel}}>Annuler</BsButton>
          <BsButton class='single-certification-edit__button' type='primary' size='sm'
                       {{on 'click' this.onSaveConfirm}}>Enregistrer</BsButton>
        {{else}}
          <BsButton class='single-certification-edit__button' type='primary' size='sm' {{on 'click' this.onEdit}}>
            Modifier</BsButton>
          <BsButton class='single-certification-edit__button' type='primary' size='sm'
                       {{on 'click' this.onTogglePublishConfirm}}>
            {{#if this.certification.isPublished}}
              Dépublier
            {{else}}
              Publier
            {{/if}}
          </BsButton>
        {{/if}}
      </div>
    </div>
  {{/if}}
  <ConfirmPopup
    message={{this.confirmMessage}}
    error={{this.confirmErrorMessage}}
    confirm={{this.confirmAction}}
    cancel={{this.onCancelConfirm}}
    show={{this.displayConfirm}}
  />
</div>
